Package com.independentsoft.office.word

# Enum Class NumberingFormat

java.lang.Object
java.lang.Enum<NumberingFormat>
com.independentsoft.office.word.NumberingFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<NumberingFormat>`, `Constable`

public enum NumberingFormat extends Enum<NumberingFormat>
The Enum NumberingFormat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AIUEO`
  `AIUEO_FULL_WIDTH`
  `ARABIC_ABJAD`
  `ARABIC_ALPHA`
  `BULLET`
  `CARDINAL_TEXT`
  `CHICAGO`
  `CHINESE_COUNTING`
  `CHINESE_COUNTING_THOUSAND`
  `CHINESE_LEGAL_SIMPLIFIED`
  `CHOSUNG`
  `DECIMAL`
  `DECIMAL_ENCLOSED_CIRCLE`
  `DECIMAL_ENCLOSED_CIRCLE_CHINESE`
  `DECIMAL_ENCLOSED_FULLSTOP`
  `DECIMAL_ENCLOSED_PARANTHESIS`
  `DECIMAL_FULL_WIDTH`
  `DECIMAL_FULL_WIDTH_ALTERNATE`
  `DECIMAL_HALF_WIDTH`
  `DECIMAL_ZERO`
  `GANADA`
  `HEBREW_ALPHABET`
  `HEBREW_NUMERALS`
  `HEXADECIMAL`
  `HINDI_CONSANANTS`
  `HINDI_COUNTING`
  `HINDI_NUMBERS`
  `HINDI_VOWELS`
  `IDEOGRAPH_DIGITAL`
  `IDEOGRAPH_ENCLOSED_CIRCLE`
  `IDEOGRAPH_LEGAL_TRADITIONAL`
  `IDEOGRAPH_TRADITIONAL`
  `IDEOGRAPH_ZODIAC`
  `IDEOGRAPH_ZODIAC_TRADITIONAL`
  `IROHA`
  `IROHA_FULL_WIDTH`
  `JAPANESE_COUNTING`
  `JAPANESE_DIGITAL_TEN_THOUSAND`
  `JAPANESE_LEGAL`
  `KOREAN_COUNTING`
  `KOREAN_DIGITAL`
  `KOREAN_DIGITAL_ALTERNATE`
  `KOREAN_LEGAL`
  `LOWER_LETTER`
  `LOWER_ROMAN`
  `NONE`
  `NUMBER_IN_DASH`
  `ORDINAL`
  `ORDINAL_TEXT`
  `RUSSIAN_LOWER`
  `RUSSIAN_UPPER`
  `TAIWANESE_COUNTING`
  `TAIWANESE_COUNTING_THOUSAND`
  `TAIWANESE_DIGITAL`
  `THAI_COUNTING`
  `THAI_LETTERS`
  `THAI_NUMBERS`
  `UPPER_LETTER`
  `UPPER_ROMAN`
  `VIETNAMESE_COUNTING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NumberingFormat`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static NumberingFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AIUEO

    public static final NumberingFormat AIUEO

  - ### AIUEO_FULL_WIDTH

    public static final NumberingFormat AIUEO_FULL_WIDTH

  - ### ARABIC_ABJAD

    public static final NumberingFormat ARABIC_ABJAD

  - ### ARABIC_ALPHA

    public static final NumberingFormat ARABIC_ALPHA

  - ### BULLET

    public static final NumberingFormat BULLET

  - ### CARDINAL_TEXT

    public static final NumberingFormat CARDINAL_TEXT

  - ### CHICAGO

    public static final NumberingFormat CHICAGO

  - ### CHINESE_COUNTING

    public static final NumberingFormat CHINESE_COUNTING

  - ### CHINESE_COUNTING_THOUSAND

    public static final NumberingFormat CHINESE_COUNTING_THOUSAND

  - ### CHINESE_LEGAL_SIMPLIFIED

    public static final NumberingFormat CHINESE_LEGAL_SIMPLIFIED

  - ### CHOSUNG

    public static final NumberingFormat CHOSUNG

  - ### DECIMAL

    public static final NumberingFormat DECIMAL

  - ### DECIMAL_ENCLOSED_CIRCLE

    public static final NumberingFormat DECIMAL_ENCLOSED_CIRCLE

  - ### DECIMAL_ENCLOSED_CIRCLE_CHINESE

    public static final NumberingFormat DECIMAL_ENCLOSED_CIRCLE_CHINESE

  - ### DECIMAL_ENCLOSED_FULLSTOP

    public static final NumberingFormat DECIMAL_ENCLOSED_FULLSTOP

  - ### DECIMAL_ENCLOSED_PARANTHESIS

    public static final NumberingFormat DECIMAL_ENCLOSED_PARANTHESIS

  - ### DECIMAL_FULL_WIDTH

    public static final NumberingFormat DECIMAL_FULL_WIDTH

  - ### DECIMAL_FULL_WIDTH_ALTERNATE

    public static final NumberingFormat DECIMAL_FULL_WIDTH_ALTERNATE

  - ### DECIMAL_HALF_WIDTH

    public static final NumberingFormat DECIMAL_HALF_WIDTH

  - ### DECIMAL_ZERO

    public static final NumberingFormat DECIMAL_ZERO

  - ### GANADA

    public static final NumberingFormat GANADA

  - ### HEBREW_NUMERALS

    public static final NumberingFormat HEBREW_NUMERALS

  - ### HEBREW_ALPHABET

    public static final NumberingFormat HEBREW_ALPHABET

  - ### HEXADECIMAL

    public static final NumberingFormat HEXADECIMAL

  - ### HINDI_CONSANANTS

    public static final NumberingFormat HINDI_CONSANANTS

  - ### HINDI_COUNTING

    public static final NumberingFormat HINDI_COUNTING

  - ### HINDI_NUMBERS

    public static final NumberingFormat HINDI_NUMBERS

  - ### HINDI_VOWELS

    public static final NumberingFormat HINDI_VOWELS

  - ### IDEOGRAPH_DIGITAL

    public static final NumberingFormat IDEOGRAPH_DIGITAL

  - ### IDEOGRAPH_ENCLOSED_CIRCLE

    public static final NumberingFormat IDEOGRAPH_ENCLOSED_CIRCLE

  - ### IDEOGRAPH_LEGAL_TRADITIONAL

    public static final NumberingFormat IDEOGRAPH_LEGAL_TRADITIONAL

  - ### IDEOGRAPH_TRADITIONAL

    public static final NumberingFormat IDEOGRAPH_TRADITIONAL

  - ### IDEOGRAPH_ZODIAC

    public static final NumberingFormat IDEOGRAPH_ZODIAC

  - ### IDEOGRAPH_ZODIAC_TRADITIONAL

    public static final NumberingFormat IDEOGRAPH_ZODIAC_TRADITIONAL

  - ### IROHA

    public static final NumberingFormat IROHA

  - ### IROHA_FULL_WIDTH

    public static final NumberingFormat IROHA_FULL_WIDTH

  - ### JAPANESE_COUNTING

    public static final NumberingFormat JAPANESE_COUNTING

  - ### JAPANESE_DIGITAL_TEN_THOUSAND

    public static final NumberingFormat JAPANESE_DIGITAL_TEN_THOUSAND

  - ### JAPANESE_LEGAL

    public static final NumberingFormat JAPANESE_LEGAL

  - ### KOREAN_COUNTING

    public static final NumberingFormat KOREAN_COUNTING

  - ### KOREAN_DIGITAL

    public static final NumberingFormat KOREAN_DIGITAL

  - ### KOREAN_DIGITAL_ALTERNATE

    public static final NumberingFormat KOREAN_DIGITAL_ALTERNATE

  - ### KOREAN_LEGAL

    public static final NumberingFormat KOREAN_LEGAL

  - ### LOWER_LETTER

    public static final NumberingFormat LOWER_LETTER

  - ### LOWER_ROMAN

    public static final NumberingFormat LOWER_ROMAN

  - ### NONE

    public static final NumberingFormat NONE

  - ### NUMBER_IN_DASH

    public static final NumberingFormat NUMBER_IN_DASH

  - ### ORDINAL

    public static final NumberingFormat ORDINAL

  - ### ORDINAL_TEXT

    public static final NumberingFormat ORDINAL_TEXT

  - ### RUSSIAN_LOWER

    public static final NumberingFormat RUSSIAN_LOWER

  - ### RUSSIAN_UPPER

    public static final NumberingFormat RUSSIAN_UPPER

  - ### TAIWANESE_COUNTING

    public static final NumberingFormat TAIWANESE_COUNTING

  - ### TAIWANESE_COUNTING_THOUSAND

    public static final NumberingFormat TAIWANESE_COUNTING_THOUSAND

  - ### TAIWANESE_DIGITAL

    public static final NumberingFormat TAIWANESE_DIGITAL

  - ### THAI_COUNTING

    public static final NumberingFormat THAI_COUNTING

  - ### THAI_LETTERS

    public static final NumberingFormat THAI_LETTERS

  - ### THAI_NUMBERS

    public static final NumberingFormat THAI_NUMBERS

  - ### UPPER_LETTER

    public static final NumberingFormat UPPER_LETTER

  - ### UPPER_ROMAN

    public static final NumberingFormat UPPER_ROMAN

  - ### VIETNAMESE_COUNTING

    public static final NumberingFormat VIETNAMESE_COUNTING

- ## Method Details

  - ### values

    public static NumberingFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NumberingFormat valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null